#!/usr/bin/env python
import coral

L = coral.lang.UML14
p = coral.loadDocument("multiple_elems_in_attribute.xml")

m = p.contents()[0]
mclass = m.ownedElement.select(lambda x: x.oclIsKindOf(L.Class))[0]

assert mclass

assert len(mclass.classifierRole) == 2
for i in mclass.classifierRole:
    assert i.namespace == m
